### Property

# Soup Session:tls-interaction

#### Declaration

    property tls-interaction: Gio.TlsInteraction [ read, write ]

#### Description [src]

A `GTlsInteraction` object that will be passed on to any `GTlsConnection`s created by the session.

This can be used to provide client-side certificates, for example.

Type: | `GTlsInteraction`

Getter method | `soup_session_get_tls_interaction()`
Setter method | `soup_session_set_tls_interaction()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no